Ubuntu

NetworkManager asks for the wireless password every time

Reported by Patrick on 2008-09-16
152
This bug affects 14 people
Affects Status Importance Assigned to Milestone
network-manager (Ubuntu)
Medium
Unassigned
Nominated for Intrepid by Dan Andreșan

Bug Description

Using a Lenovo Notebook N200, Intel wireless, Intrepid Alpha5.
The Wireless password is not being saved and needs to be entered after every startup.

This problem occurs on all types of wireless connections (WLAN and GSM).

Mackenzie Morgan (maco.m) wrote :

What isn't saving the password? Network Manager? WICD? Wifi-radar? Which wifi application are you using?

Sorry, I just know that I have to enter it every time I start up the
computer.

On Sep 19, 2008 01:16 "Mackenzie Morgan" <email address hidden> wrote:

> What isn't saving the password? Network Manager? WICD? Wifi-radar?
> Which wifi application are you using?
>
> ** Changed in: ubuntu
> Status: New => Incomplete
>

Enter it where? Are you using the default thing in the notification area of the panel to connect to your wireless network? If so, are you using the left-click and choose a visible network way, or are you going to the Manual Configuration thing?

Hi,
yes, sorry I did not make myself clear.
I am entering the wireless password, the password in order to get access
to a security enabled wlan network. the first time, after installation I
leftclick the wireless notification icon, select the network I want to
connect to. Works fine.. but the next time I startup a window opens
automatically asking me to re-enter the pw. i guess that the keyring
thing is not doing it's job, remembering the pw and providing the info
to the wireless connector.

thanks,
Patrick

On Sep 19, 2008 01:59 "Mackenzie Morgan" <email address hidden> wrote:

> Enter it where? Are you using the default thing in the notification
> area of the panel to connect to your wireless network? If so, are you
> using the left-click and choose a visible network way, or are you
> going
> to the Manual Configuration thing?
>

Marking against NM since last time this regression occurred, it was NM ignoring the keyring, while there've been no other bug reports in the last few days that I've seen regarding the keyring ceasing to function.

Can you tell me, what version of network manager is installed?
dpkg -l network-manager* | grep ^ii

Hokky (hakon) wrote :

Hello there

I have the same problem on Intrepid. I upgraded my Macbook (Intel) a week ago and this problem has been there since the upgrade. I have auto-login enabled and earlier with Hardy I got asked for the keyring password. Now I get a dialog from Network Manager asking me for the WPA key.

I guess that Network Manager is supposed to store the password in Intrepid instead of the Keyring, but it is not done correctly or implemented yet.

I just updated my packages and here is the Network Manager printout you asked Patrick for.

********************
ii network-manager 0.7~~svn20080908t183521+eni0-0ubuntu3 network management framework daemon
ii network-manager-gnome 0.7~~svn20080907t033843-0ubuntu2 network management framework (GNOME frontend
********************

Mackenzie Morgan (maco.m) wrote :

I think it's still supposed to store it in the keyring, but it's happened once before (and I wouldn't be surprised if it happened again) that NM and the keyring weren't interracting with each other properly.

Changed in network-manager:
status: Incomplete → Confirmed
Márcio Santos (marcio.santos) wrote :

Confirming this behavior on a recently installed Alpha 6.
Network Manager and Gnome Keyring are not working together like they should.
Clean system, fully updated, no external packages.

Thomas Schewe (thosch66) wrote :

Same problem here. Intrepid Alpha 5 fully updated.

Victor Van Hee (vvanhee) wrote :

Me too.

Thomas Schewe (thosch66) wrote :

It also accurs with GSM-connections (description updated).

description: updated

Same here. Intrepid Alpha6.
I'm using wl driver if it matters.

Sari Luca (sari-luca) wrote :

i have the same problem in alpha6, nm-applet does not communicate correctly with the gnome-keyring!

10:00.0 Network controller: Intel Corporation PRO/Wireless 4965 AG or AGN Network Connection (rev 61)
ii network-manager 0.7~~svn20080908t183521+eni0-0ubuntu3
ii network-manager-gnome 0.7~~svn20080907t033843-0ubuntu2

fgiust (fgiust) wrote :

same problem here: after a distribution upgrade from 8.04 to intrepid alpha 6 I get a login prompt every time I try to connect to a wireless network, no way to make networkmanager remember the password.
Also trying to configure it manually using "create new wireless network" in network manager applet doesn't help.

Guido Conaldi (guido-conaldi) wrote :

I can confirm the same issue on Intrepid up-to-date 64bit.

toccalenuvole (toccalenuvole) wrote :

just upgraded to keyring 2.24.0 in alpha 6, still doesn't work

Should it be triaged?

Dan Andreșan (danyer) wrote :

It is pretty important bug. As far as I know, neither the Evolution passwords are saved. It's not a wireless problem. The gnome keyring doesn't work...

How can we trigger the triaging of a bug? By writing as many comments as possible? By using foul language? Personally writing to Mark? Could someone give me a link to the proper procedure?

xvision (doug-estey) wrote :

In reply to my bug (which was marked as a duplicate of this one), this is happening for me in not just wireless, but everything else. Including, yes, Evolution. I don't know how to properly queue this for Intrepid.

Thomas Schewe (thosch66) wrote :

I cannot confirm that the gnome-keyring doesn't work.

Here on my system Gajim is able to read and write passwords from and to the gnome-keyring.

xvision (doug-estey) wrote :

This is happening on two machines with fresh installs of Intrepid with both wireless and Evolution, confirmed.

Thomas, I installed Gajim and logged into my Jabber account. At this point, GNOME finally prompted me to create a new keyring and saved the password. I've been running Intrepid for three days.

So keyring is working, I think. We just need to find out why nm-applet and Evolution aren't triggering it.

Dan Andreșan (danyer) wrote :

I agree, it is able to *read* passwords from keyring.

The problem is, looking at the passwords with Application|Accessories|Passwords and Encryptions keys, I saw that I had my WPA password twice, for the same ESSID. I deleted both of them, hoping that the network-applet will write only one.

But no, it doesn't want to write. It appears in the Passwords and Encryptions keys but without the icon in the front column. I don't know the meaning of the first column, I guess an icon appears when the password is saved "forever", and it is not there when the password is saved only for the current session.

So, Thomas, delete Gajim password from keyring, logout and login, enter password, logout and login, see if you need to enter the password again... Maybe you can have a look at the icon state.

Dan Andreșan (danyer) wrote :

nevermind, seems like xvision tested and saw that keyring "kind of" works

C de-Avillez (hggdh2) wrote :

setting IMportance to medium. This is still not clear: Both N-M and Evolution would be using gnome-keyring to store the passwords. So... what does the keyring have on passwords (Applications/Accessories/Passwords and Encryption Keys/Passwords); what keyrings are in use? Which keyring is set to automatically open on login?

Changed in network-manager:
importance: Undecided → Medium
xvision (doug-estey) wrote :

Okay. Went to Accessories -> Passwords and Encryption Keys. All my Evolution stuff is there and it's not asking for passwords any more, but there's nothing else there, and after a login I had to re-enter my wireless key again into nm-applet.

Is anyone else having Evolution issues or can we rule that out?

Marc Jauvin (marc-r4l) wrote :

I had the same problem other people described in this bug report, but after accessing the password tab under "Accessories -> Passwords and Encryption Keys", and selecting "allwasy allow" (or something similar), that solved my problems.

Note: I previously selected "Only allow for this session", which did not give access to the keyring by the applications when there was a reboot.

Nicolas DERIVE (kalon33) wrote :

Same Problem, I have to enter my wireless key each time I boot, it should be restored at session's opening by default, like under Hardy, Gutsy and earlier versions since Dapper.

Nicolas DERIVE (kalon33) wrote :

Some things I noticed :

New networks keys are not saved in default keyring, which is login in my session, and which is unlocked automatically at login, whereas older keys are into it. Maybe the problem comes from there ?

Jörn Dreyer (j.dreyer) wrote :

I can confirm this. Furthermore using nm-connection-editor to edit a WEP "secured" wifi a window pops up asking me to allow connection to the keyring once or always. When I try to edit a WPA secured wifi no window pops up (and yes I always allowed access to keyring once ... editing the WEP wifi asked for it four times). I use the "login" keyring which gets unlocked with the same password I use to login. It is the only keyring availiable. The WEP key is visible with Accessories/Passwords and Enryption Keys/Passwords, but I cannot add an entry for the WPA wifi.

Btw, why do I have to change the password for the login keyring on my own after changin my user password ... isn't it confusing that after changing your password ubuntu asks you for the login keyring password all over the place ... and you have to _know_ its the original password ... it should be automatically kept in sync with your _current_ user password, souldn't it?

Mackenzie Morgan (maco.m) wrote :

Jörn:
The password mismatch issue has already been reported. Subscribe to Bug 271126 if you'd like to keep up on the progress with that bug.

vnieto (vnieto) wrote :

Some News about this bug:
When I use nm-connection-editor on console and go to wireless, select mi network and select "Edit" aver the console show me:
_______________
to@vnieto-laptop:~$ nm-connection-editor

(nm-connection-editor:11810): GLib-CRITICAL **: g_hash_table_foreach: assertion `hash_table != NULL' failed
** Message: nm_connection_list_new: failed to load VPN plugins: Couldn't read VPN .name files directory /etc/NetworkManager/VPN.

** (nm-connection-editor:11810): WARNING **: Invalid setting Seguridad inalámbrica: Invalid wireless security
vnieto@vnieto-laptop:~$ nm-connection-editor

(nm-connection-editor:12277): GLib-CRITICAL **: g_hash_table_foreach: assertion `hash_table != NULL' failed
** Message: nm_connection_list_new: failed to load VPN plugins: Couldn't read VPN .name files directory /etc/NetworkManager/VPN.

** (nm-connection-editor:12277): WARNING **: Invalid setting Seguridad inalámbrica: Invalid wireless security
vnieto@vnieto-laptop:~$ nm-connection-editor

(nm-connection-editor:12511): GLib-CRITICAL **: g_hash_table_foreach: assertion `hash_table != NULL' failed
** Message: nm_connection_list_new: failed to load VPN plugins: Couldn't read VPN .name files directory /etc/NetworkManager/VPN.

** (nm-connection-editor:12511): WARNING **: Invalid setting Seguridad inalámbrica: Invalid wireless security
________________
The last frase (I think) can be read in Ingles like :
** (nm-connection-editor:12511): WARNING **: Invalid setting wireless security: Invalid wireless security

vnieto (vnieto) wrote :

Some News about this bug:
When I use nm-connection-editor on console and go to wireless, select mi network and select "Edit" aver the console show me:
_______________
to@vnieto-laptop:~$ nm-connection-editor

(nm-connection-editor:11810): GLib-CRITICAL **: g_hash_table_foreach: assertion `hash_table != NULL' failed
** Message: nm_connection_list_new: failed to load VPN plugins: Couldn't read VPN .name files directory /etc/NetworkManager/VPN.

** (nm-connection-editor:11810): WARNING **: Invalid setting Seguridad inalámbrica: Invalid wireless security
vnieto@vnieto-laptop:~$ nm-connection-editor

(nm-connection-editor:12277): GLib-CRITICAL **: g_hash_table_foreach: assertion `hash_table != NULL' failed
** Message: nm_connection_list_new: failed to load VPN plugins: Couldn't read VPN .name files directory /etc/NetworkManager/VPN.

** (nm-connection-editor:12277): WARNING **: Invalid setting Seguridad inalámbrica: Invalid wireless security
vnieto@vnieto-laptop:~$ nm-connection-editor

(nm-connection-editor:12511): GLib-CRITICAL **: g_hash_table_foreach: assertion `hash_table != NULL' failed
** Message: nm_connection_list_new: failed to load VPN plugins: Couldn't read VPN .name files directory /etc/NetworkManager/VPN.

** (nm-connection-editor:12511): WARNING **: Invalid setting Seguridad inalámbrica: Invalid wireless security
________________
The last frase (I think) can be read in Ingles like :
** (nm-connection-editor:12511): WARNING **: Invalid setting wireless security: Invalid wireless security
And the Password show in this part is empy

Keithamus (keithamus) wrote :

Can confirm this also. I submitted a duplicate with slightly more details on the matter (found here: https://bugs.launchpad.net/ubuntu/+bug/274437 )

Since filing this, I went to my keyring manager and removed all wireless password entries. Doesn't seem to have done anything to help matters.

I also upgraded from Hardy 8.04 using WICD, moving to Intrepid Alpha 6 using NM 0.7.

My terminal output as follows:

** Message: <info> No keyring secrets found for Auto Syn_Star/802-11-wireless-security; asking user.
(nm-applet:9060): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

So as you can see, it knows to connect to my network (Syn_Star) automatically but can't pickup the keyring.

crankcaller (crankcaller) wrote :

Also happening here:

Alpha 6 - Ubuntu 8.10

ii network-manager 0.7~~svn20080908t183521+eni0-0ubuntu4 network management framework daemon
ii network-manager-gnome 0.7~~svn20080907t033843-0ubuntu2 network management framework (GNOME frontend

04:00.0 Ethernet controller: Atheros Communications Inc. AR2413 802.11bg NIC (rev 01)

martron (imartron) wrote :

I also have this issue on an upgrade to Alpha 6 from Hardy.

Found this in the Auth logs:

Sep 27 11:51:57 freyja gdm[7075]: gnome-keyring-daemon: couldn't lookup keyring component setting: Failed to contact configuration server; some possible causes are that you need to enable TCP/IP networking for ORBit, or you have stale NFS locks due to a system crash. See http://www.gnome.org/projects/gconf/ for information. (Details - 1: Failed to get connection to session: dbus-launch failed to autolaunch D-Bus session: No protocol specified

Sep 27 11:51:57 freyja gdm[7075]: )gnome-keyring-daemon: couldn't lookup ssh component setting: Failed to contact configuration server; some possible causes are that you need to enable TCP/IP networking for ORBit, or you have stale NFS locks due to a system crash. See http://www.gnome.org/projects/gconf/ for information. (Details - 1: Failed to get connection to session: dbus-launch failed to autolaunch D-Bus session: No protocol specified

Sep 27 11:51:57 freyja gdm[7075]: )gnome-keyring-daemon: couldn't lookup pkcs11 component setting: Failed to contact configuration server; some possible causes are that you need to enable TCP/IP networking for ORBit, or you have stale NFS locks due to a system crash. See http://www.gnome.org/projects/gconf/ for information. (Details - 1: Failed to get connection to session: dbus-launch failed to autolaunch D-Bus session: No protocol specified

And the daemon log shows:

Sep 27 11:53:40 freyja NetworkManager: <info> Config: added 'key_mgmt' value 'NONE'

fimbulvetr (fimbulvetr1) wrote :

Same issue. I see this as a major regression.

Guy Van Sanden (gvs) wrote :

Happens here too, and if you store the information system wide, it does store the Key in the correct file and instead of promting NM is completely unable to connect to that nework...

So thi is a rather big bug (and not just keyring related)

Guy Van Sanden (gvs) wrote :

Just another note, this worked fine for me on Hardy until I upraded to intrepid.

Bram Bonné (brambonne) wrote :

This also happens in a fresh Intrepid alpha 6 install.
I can confirm this for both WPA2 networks I'm connecting to.

Alexander Sack (asac) wrote :

OK, since there is a bunch of different statements in here, lets try to start from scratch. If you see this bug please provide the following information: (please keep the questions inlined in your answer as it makes it easier to screen the content):

1. does this happen after upgrading from hardy without taking any configuration in connection editor?
2. have you used a vpn plugin in hardy? which plugin? does it still work?
3. what wireless security are you using? WEP, WPA-PSK, WPA-EAP?
4. can you connect at all? how many attempts does it usually take before a connect attempt succeeds?
5. is the password sometimes remembered or are you asked on _any_ connect attempt?

attachment A. please restart your system, reproduce the bug and attach your complete /var/log/syslog
attachment B. please attach your /etc/network/interfaces

Thanks,
 - Alexander

Changed in network-manager:
status: Confirmed → Incomplete
Gert Kulyk (gkulyk) wrote :

@Alexander: Though I've not yet posted anything concerning this issue, I have encountered similar problems.

ad 1. If you are using older accounts, where the password got saved to the keyring, everything works as expected.

ad 2. yes, I did. I've used a modified vpnc-plugin (ubuntu one with patches to support hybrid-auth) and I'm still using it successfully with intrepid. Password configuration for vpn is saved in keyring as it should, even if you set up new ones via connection-editor.

ad 3. WPA-PSK, WPA-EAP

ad 4. Yes. Setting the connection system wide works as well as connecting to WPA and WPA2 accounts per user. Only passwords are not remembered for user-defined connections (no gnome-keyring-dialog appears neither when you first time are providing a password nor later on).

ad 5. When you disconnect and reconnect within a session usually you don't have to provide the password a second time. Only after canceling connection, logging out and logging back in nm asks for the passphrase again.

attachment B (contents of /etc/network/interfaces):

# The loopback network interface
auto lo
iface lo inet loopback

I'll add attachment A as soon as possible.

Thank you in advance for investigating this issue,

Gert

Thomas Schewe (thosch66) wrote :

Here are my informations:

1. Fresh system from CD (8.10 Alpha 5). No configuration taken from old system, only two files with the keyrings.

2. No upgrade from Hardy.

3. WPA-PSK (?) (WPA2 Personal)

4. Connect after manual input of password on first attemp in 95+%.

5. I have to enter the password after reboot or reload of driver (no connect after resume from standy/hibernate possible without modprobe -r...). When disconnecting and reconnecting passphrase is remembered (but not saved to keyring).

My /etc/network/interfaces (original version from installation, never changed):
auto lo
iface lo inet loopback

(BTW: How can I attach two files?)

fimbulvetr (fimbulvetr1) wrote :

1. Fresh install, full format. Selecting my SSID from NM applet it prompts.
2. No upgrade
3. WPA-PSK
4. manual input works everytime
5. After every reboot

Gert Kulyk (gkulyk) wrote :

@Alexander:

Here is the syslog.

Dan Andreșan (danyer) wrote :

1. after upgrading from Hardy to Intrepid Alpha 3 *it continued to work* . And it continued to work until I manually removed the password from the keyring (it was there twice, under different heading and it seemed suspect to me). I expected that the right one will be added. Little did I know...

2. I used vpnc, and it continues to work. The keys, even if deleted, they are added again and saved like expected.

3. WPA2 (WPA-PSK)

4. It works every single time, after I manually enter the password

5. I am asked at the first connect after reboot, then it is remembered until I reboot again.

dan@shuttle:~$ cat /etc/network/interfaces
auto lo
iface lo inet loopback

syslog attached (after EH 4 retry entries purged, another bug)

Thomas Schewe (thosch66) wrote :

The problem also occurs on GSM/UTMS-connections. The password for the internet-connection and the PIN for the SIM-card aren't saved to the keyring.

1. Fresh system from CD (8.10 Alpha 5). No configuration taken from old system, only two files with the keyrings.

2. No upgrade from Hardy.

3. GSM/UTMS-connection

4. Connect after manual input of password on first attemp in 70+%.

5. I have to enter the password after reboot or un/replugging of the USB-UMTS-dongle. When disconnecting and reconnecting the passphrase is remembered (but not saved to keyring).

I attached the syslog with an additional connection-process to an UTMS-network. Cause O2-Germany does not demand the input of user/password there is only a problem with the PIN.

James Dupin (james.dupin) wrote :

ibex install fully updated. (no upgrade)
no tweaks
WEP.
wl and b43 driver
connection good all the time.
password not remembered upon reboot

auto lo
iface lo inet loopback
auto eth0

Nick B. (futurepilot) wrote :

1. does this happen after upgrading from hardy without taking any configuration in connection editor?
    Yes.
2. have you used a vpn plugin in hardy? which plugin? does it still work?
     No
3. what wireless security are you using? WEP, WPA-PSK, WPA-EAP?
    WPA2-Personal
4. can you connect at all? how many attempts does it usually take before a connect attempt succeeds?
    No. If I try to connect it starts the connect process but then gives up after a while and asks me for the password I just entered. It never connects. I've gone in that loop many many times. It won't go.
5. is the password sometimes remembered or are you asked on _any_ connect attempt?
    I'm always asked for a password.

Also to note that I went to Edit Connections...>Wireless>my-SSID>Wireless Security and the Password field is always empty even if I put one in. I close it and re-open it and it's gone. Also I am never prompted to allow access to the Keyring. (I never told it to Allow Always in Hardy)

Nick B. (futurepilot) wrote :

I confirm the behaviour. I got these both upon upgrading form hardy configurations and from scratch, with no previous configuration written.
I am using a usb wifi dongle with rt73usb and it happens with both repo and ppa nm-applet.

Tim Hawkins (tim-hawkins) wrote :

I can confirm the same behavior on a clean install of intrepid alpha 6 on an aspire one using ath5k

Another note on usability.

The prompt that nm-applet brings up does not have the password control set as focus, and the connect button set as default, so you have to click to into the edit control to enter the password and either use the keyboard short cut for the button or use the mouse, it would be nice to be able to just type the password and hit enter to continue.

Mackenzie Morgan (maco.m) wrote :

Tim: that issue has already been filed as bug 272610

Martin Pool (mbp) wrote :

(marking confirmed as several people have provided the requested information.)

Changed in network-manager:
status: Incomplete → Confirmed
Alexander Sack (asac) wrote :

network-manager (0.7~~svn20080928t225540+eni0-0ubuntu2) intrepid; urgency=low

  [ Alexander Sack < <email address hidden>> ]
  * remove patches forwarded/applied upstream
    - delete debian/patches/80_lp259503_access_to_freed_device_struct.patch
    - delete debian/patches/honour_resolvconf_exitcode.patch
    - delete debian/patches/lp269010_keyfile_secrets_crash.patch
    - update debian/patches/series
  * LP: #276253 - NM 0.7 sets hostname to localhost.localdomain instead of
    what is in /etc/hostname - we fallback to hostname configured in
    /etc/hostname even when no distro specific system plugin is enabled; we
    do this for all cases until a proper solution was found.
    - add debian/patches/fix_system_hostname.patch
    - update debian/patches/series

  [ Matt Zimmerman < <email address hidden>> ]
  * (apport hook) Use [].append rather than the += operator, to avoid things
    like: "InterestingModules: b 4 4" (should be b44)
    - update debian/source_network-manager.py

 -- Alexander Sack < <email address hidden>> Thu, 02 Oct 2008 20:37:20 +0200

Changed in network-manager:
status: Confirmed → Fix Released
Dan Andreșan (danyer) wrote :

Now wireless password appears in Applications|Accesories|Passwords and Encrytion keys
and it is used after reboot. Things are back to normal.

Thank you very much Alexander!

Dan Head (me-danielhead) wrote :

I've just updated to the latest network manager (0.7~~svn20080928t225540+eni0-0ubuntu2) and I'm still experiencing this same issue in intrepid, still asking for wireless key each time I boot.

unikuser (unikuser) wrote :

I've just updated to latest network manager and it *WORKS*. I'm not being asked for the passphrase

ii network-manager 0.7~~svn20080928t225540+eni0-0ubuntu2 network management framework daemon
ii network-manager-gnome 0.7~~svn20080927t101113-0ubuntu1 network management framework (GNOME frontend)

Pascal Hofstee (caelian) wrote :

I hate to spoil the party here ... but i am still seeing a password dialog box at each single reboot and every time the network drops and it tries to reconnect ... although the password is pre-filled in (so it obviously got stored) it does not seem to automatically simply USE it.

Pascal,

Can you post your syslog of the event? It may use it and fail, which would then trigger the password box to open up. The syslog will show what is going on in the background.

Pascal Hofstee (caelian) wrote :

i hate it when this happens ... i played around a bit and opted to delete all stored keys/passwords from the keyring regarding the WLAN settings. Then forced a reboot, connected to the WLAN network. It seems that now it Does indeed work as expected again.

I'll keep an eye out on the matter and see if the problem crops up again, but for now it seems that it somehow started working.

Katsudon (katsudon) wrote :

Exactly the same problem happens to me, password does not get saved in the "stored passwords".
Ubuntu 8.10 beta with all upgrades.
I am using nm-applet but due to Bug #268803 also knetworkmanager is docked.

joe williams (joetify) wrote :

I am having the same issue with intrepid and all updates.

On Tue, Oct 28, 2008 at 07:05:39PM -0000, joe williams wrote:
> I am having the same issue with intrepid and all updates.
>

if you succeed to connect, how long does such a connect attempt take?

 - Alexander

This is working for me in current Intrepid.

Anton (feenstra) wrote :

I hope I am not confusing things here for you, but I had the very same problem in hardy (in my case, the password kept reverting to an old one). Turns out, nm was reading from 'Default' keyring while saving to 'login' (which was set as application keyring in the keyring preferences). Deleting 'Default' and loggin out & in solved the problem for me. I don't recall ever creating any keyrings myself, so I think they may have been triggered by the system or some appliction (or update process; my current install came from feisty). Could it be this simple for the Intrepid problems as well?

tehownt (tehownt) wrote :

I think I found a workaround, I copied login.keyring to 'default' and 'default.keyring' not knowing which one the nm-applet was looking for.
Then rebooted, and instead of the usual "Authentication Required By Wireless Network" window I got the "Keyring access needed" message windows on which I had the "automatically unlock keyring" checkbox.
I haven't had the time to verify but I think this might help.

Ross Patterson (rossp) wrote :

I can also confirm that this is still happening on a fully updated intrepid system. I also tried the solution of copying login.keyring to default and default.keyring.

Changed in network-manager:
status: Fix Released → Confirmed
Alberto Stefani (endymion75) wrote :

me too...
Lenovo Thinkpad T61 Full Update Intrepid System, i use also "thinkfinger"...

cordel (corey-ctuweb) wrote :

I found a way that creates this issue in Hardy, maybe you can recreate it with intrepid.
https://bugs.launchpad.net/ubuntu/+source/network-manager/+bug/205964

I can reliably recreate and fix the problem in hardy by turning off my wifi then saving a profile in Network Manager for eth0 with a static address. Then I get very similar problems.
I fix it by removing all profiles in Network Manager, enabling wifi, setting every thing in Network Manager to roaming, removing my keyring, recreating a new keyring, and reboot. Also since I'm using an eee-pc 1000 might note that my /tmp and /var/tmp folders is a ramdisk (tmpfs) so anything there is also dropped when I reboot.

Hope it helps.
logs attached in the bug I linked above.
I'd be interested to know if anyone is able to fix it by dropping the keyring, recreating the keyring, and then can recreate the issue as it does for me.

Regards

Also having this problem in Lucid.
WPA2 Enterprise?
Fixed it by going to Preferences -> Network Connections and ticking 'Make available to all users'

summary: - wireless password is not being saved (intrepid)
+ wireless password is not being saved
Alexander Kops (alexkops) wrote :

I can also confrim this bug.
I tried to access a 3G network and the network-manager doesn't save PIN and password. Everytime I try to connect it asks me for both, but even if I provide the right password and PIN it won't connect.
Only after I set the connection "available to all users" it will remember PIN and password and successfully connects.
It's the same with normal Wifi connections, but at least it will connect to the network when it asks for the key and the right WPA-Key is provided.

Alexander Kops (alexkops) wrote :

Forgot to mention: It happens on Ubuntu Lucid Lynx Netbook Remix.

Noel J. Bergman (noeljb) wrote :

I have this same problem with Lucid. When I look at Accessories->Passwords and Encryption Keys, I see:

   "Couldn't communicate with key ring daemon"

There seem to be a number of reports of that having to do with startup changes, but those have been thus far reported against Xfce.

Noel J. Bergman (noeljb) wrote :

My issue, and from the sounds of it at least some others, is possibly related to http://ubuntuforums.org/showthread.php?t=1459804. I am using fprint to login.

bastubis (pmg-gmx) wrote :

Same problem both on an eeepc and a Dell laptop on Lucid.

faber (faber-cpu) wrote :

Same problem here on Lucid. And I dont have 'Make available to all users' enabled (can't click)

Thomas Hood (jdthood) wrote :

Is this still a bug in Precise?

summary: - wireless password is not being saved
+ System asks for the wireless password every time

Haven't done a clean install of precise, only upgrades. The problem was with the missing dconf packages (that should be dependencies)

James Dupin (james.dupin) wrote :

had forgotten about that one since it is has been ok after ibex.

works ok with precise

Thomas Hood (jdthood) on 2012-06-23
summary: - System asks for the wireless password every time
+ NetworkManager asks for the wireless password every time
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers